API changes:

- The enumeration :attr:`.MDODiscipline.ExecutionStatus` replaced the constants:
   - ``MDODiscipline.STATUS_VIRTUAL``
   - ``MDODiscipline.STATUS_PENDING``
   - ``MDODiscipline.STATUS_DONE``
   - ``MDODiscipline.STATUS_RUNNING``
   - ``MDODiscipline.STATUS_FAILED``
   - ``MDODiscipline.STATUS_LINEARIZE``
   - ``MDODiscipline.AVAILABLE_STATUSES``
- The enumeration :attr:`.MDODiscipline.GrammarType` replaced the constants:
   - ``MDODiscipline.JSON_GRAMMAR_TYPE``
   - ``MDODiscipline.SIMPLE_GRAMMAR_TYPE``
- The enumeration :attr:`.MDODiscipline.CacheType` replaced the constants:
   - ``MDODiscipline.SIMPLE_CACHE``
   - ``MDODiscipline.HDF5_CACHE``
   - ``MDODiscipline.MEMORY_FULL_CACHE``
   - The value ``None`` indicating no cache is replaced by :attr:`.MDODiscipline.CacheType.NONE`
- The enumeration :attr:`.MDODiscipline.ReExecutionPolicy` replaced the constants:
   - ``MDODiscipline.RE_EXECUTE_DONE_POLICY``
   - ``MDODiscipline.RE_EXECUTE_NEVER_POLICY``
- The enumeration :attr:`.derivation_modes.ApproximationMode` replaced the constants:
   - ``derivation_modes.FINITE_DIFFERENCES``
   - ``derivation_modes.COMPLEX_STEP``
   - ``derivation_modes.AVAILABLE_APPROX_MODES``
- The enumeration :attr:`.derivation_modes.DerivationMode` replaced the constants:
   - ``derivation_modes.DIRECT_MODE``
   - ``derivation_modes.REVERSE_MODE``
   - ``derivation_modes.ADJOINT_MODE``
   - ``derivation_modes.AUTO_MODE``
   - ``derivation_modes.AVAILABLE_MODES``
- The enumeration :attr:`.JacobianAssembly.DerivationMode` replaced the constants:
   - ``JacobianAssembly.DIRECT_MODE``
   - ``JacobianAssembly.REVERSE_MODE``
   - ``JacobianAssembly.ADJOINT_MODE``
   - ``JacobianAssembly.AUTO_MODE``
   - ``JacobianAssembly.AVAILABLE_MODES``
- The enumeration :attr:`.MDODiscipline.ApproximationMode` replaced the constants:
   - ``MDODiscipline.FINITE_DIFFERENCES``
   - ``MDODiscipline.COMPLEX_STEP``
   - ``MDODiscipline.APPROX_MODES``
- The enumeration :attr:`.MDODiscipline.LinearizationMode` replaced the constants:
   - ``MDODiscipline.FINITE_DIFFERENCE``
   - ``MDODiscipline.COMPLEX_STEP``
   - ``MDODiscipline.AVAILABLE_APPROX_MODES``
- The enumeration :attr:`.DriverLib.DifferentiationMethod` replaced the constants:
   - ``DriverLib.USER_DEFINED_GRADIENT``
   - ``DriverLib.DIFFERENTIATION_METHODS``
- The enumeration :attr:`.DriverLib.ApproximationMode` replaced the constants:
   - ``DriverLib.COMPLEX_STEP_METHOD``
   - ``DriverLib.FINITE_DIFF_METHOD``
- The enumeration :attr:`.OptProblem.ApproximationMode` replaced the constants:
   - ``OptProblem.USER_DEFINED_GRADIENT``
   - ``OptProblem.DIFFERENTIATION_METHODS``
   - ``OptProblem.NO_DERIVATIVES``
   - ``OptProblem.COMPLEX_STEP_METHOD``
   - ``OptProblem.FINITE_DIFF_METHOD``
- The method :meth:`.Scenario.set_differentiation_method` no longer accepts ``None`` for the argument ``method``.
- The enumeration :attr:`.OptProblem.ProblemType` replaced the constants:
   - ``OptProblem.LINEAR_PB``
   - ``OptProblem.NON_LINEAR_PB``
   - ``OptProblem.AVAILABLE_PB_TYPES``
- The enumeration :attr:`.DesignSpace.DesignVariableType` replaced the constants:
   - ``DesignSpace.FLOAT``
   - ``DesignSpace.INTEGER``
   - ``DesignSpace.AVAILABLE_TYPES``
- The namedtuple :attr:`.DesignSpace.DesignVariable` replaced:
   - ``design_space.DesignVariable``
- The enumeration :attr:`.MDOFunction.ConstraintType` replaced the constants:
   - ``MDOFunction.TYPE_EQ``
   - ``MDOFunction.TYPE_INEQ``
- The enumeration :attr:`.MDOFunction.FunctionType` replaced the constants:
   - ``MDOFunction.TYPE_EQ``
   - ``MDOFunction.TYPE_INEQ``
   - ``MDOFunction.TYPE_OBJ``
   - ``MDOFunction.TYPE_OBS``
   - The value ``""`` indicating no function type is replaced by :attr:`.MDOFunction.FunctionType.NONE`
- The enumeration :attr:`.RBFRegressor.Function` replaced the constants:
   - ``RBFRegressor.MULTIQUADRIC``
   - ``RBFRegressor.INVERSE_MULTIQUADRIC``
   - ``RBFRegressor.GAUSSIAN``
   - ``RBFRegressor.LINEAR``
   - ``RBFRegressor.CUBIC``
   - ``RBFRegressor.QUINTIC``
   - ``RBFRegressor.THIN_PLATE``
   - ``RBFRegressor.AVAILABLE_FUNCTIONS``
- Removed ``StudyAnalysis.AVAILABLE_DISTRIBUTED_FORMULATIONS``.
- The enumeration :attr:`.RobustnessQuantifier.Approximation` replaced the constant:
   - ``RobustnessQuantifier.AVAILABLE_APPROXIMATIONS``
- The enumeration :attr:`.OTDistributionFitter.DistributionName` replaced the constants:
   - ``OTDistributionFitter.AVAILABLE_DISTRIBUTIONS``
   - ``OTDistributionFitter._AVAILABLE_DISTRIBUTIONS``
- The enumeration :attr:`.OTDistributionFitter.FittingCriterion` replaced the constants:
   - ``OTDistributionFitter.AVAILABLE_FITTING_TESTS``
   - ``OTDistributionFitter._AVAILABLE_FITTING_TESTS``
- The enumeration :attr:`.OTDistributionFitter.SignificanceTest` replaced the constant:
   - ``OTDistributionFitter.SIGNIFICANCE_TESTS``
- The enumeration :attr:`.ParametricStatistics.DistributionName` replaced the constant:
   - ``ParametricStatistics.AVAILABLE_DISTRIBUTIONS``
- The enumeration :attr:`.ParametricStatistics.FittingCriterion` replaced the constant:
   - ``ParametricStatistics.AVAILABLE_FITTING_TESTS``
- The enumeration :attr:`.ParametricStatistics.SignificanceTest` replaced the constant:
   - ``ParametricStatistics.SIGNIFICANCE_TESTS``
- The enumeration :attr:`.LinearSolver.Solver` replaced the constants:
   - ``LinearSolver.LGMRES``
   - ``LinearSolver.AVAILABLE_SOLVERS``
- The enumeration :attr:`.DiscFromExe.Parser` replaced the constants:
   - ``DiscFromExe.Parsers``
   - ``DiscFromExe.Parsers.KEY_VALUE_PARSER``
   - ``DiscFromExe.Parsers.TEMPLATE_PARSER``
- The enumeration :attr:`.SobolAnalysis.Algorithm` replaced the constant:
   - ``SobolAnalysis.Algorithm.Saltelli`` by ``SobolAnalysis.Algorithm.SALTELLI``
   - ``SobolAnalysis.Algorithm.Jansen`` by ``SobolAnalysis.Algorithm.JANSEN``
   - ``SobolAnalysis.Algorithm.MauntzKucherenko`` by ``SobolAnalysis.Algorithm.MAUNTZ_KUCHERENKO``
   - ``SobolAnalysis.Algorithm.Martinez`` by ``SobolAnalysis.Algorithm.MARTINEZ``
- The enumeration :attr:`.SobolAnalysis.Method` replaced the constant:
   - ``SobolAnalysis.Method.first`` by ``SobolAnalysis.Method.FIRST``
   - ``SobolAnalysis.Method.total`` by ``SobolAnalysis.Method.TOTAL``
- The enumeration :attr:`.FilePathManager.FileType` replaced the constant:
   - ``file_type_manager.FileType``
- The enumeration :attr:`.ToleranceInterval.ToleranceIntervalSide` replaced:
   - ``distribution.ToleranceIntervalSide``
- The namedtuple :attr:`.ToleranceInterval.Bounds` replaced:
   - ``distribution.Bounds``
- The enumeration :attr:`.MatlabEngine.ParallelType` replaced:
   - ``matlab_engine.ParallelType``
- The enumeration :attr:`.ConstrAggregationDisc.EvaluationFunction` replaced:
   - ``.constraint_aggregation.EvaluationFunction``
